Bug 9066 - Domain Users incorrectly added as addition group on domain members
Domain Users incorrectly added as addition group on domain members
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.6
All All
: P2 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 23:59 UTC by Andrew Bartlett
Modified: 2012-08-15 17:57 UTC (History)
3 users (show)

See Also:


Attachments
Backported patch to v3-6-test (3.46 KB, patch)
2012-08-02 23:25 UTC, Christof Schmitt
abartlet: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2012-07-24 23:59:58 UTC
When we are a member of an AD or Samba domain, we will incorrectly add 'domain users' of the domain as the primary group. 

Fixed in master with 38a4703
Comment 1 Christof Schmitt 2012-08-02 23:25:43 UTC
Created attachment 7735 [details]
Backported patch to v3-6-test

Patch tested. With this patch a user without access to the "Domain Users" group no longer has access to a folder where only "Domain Users" have access.
Comment 2 Jeremy Allison 2012-08-13 23:54:15 UTC
Comment on attachment 7735 [details]
Backported patch to v3-6-test

LGTM.
Comment 3 Jeremy Allison 2012-08-13 23:54:36 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 4 Karolin Seeger 2012-08-15 17:57:40 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!